import { r as saveJsonFile } from "./json-file-CpkV-9R9.js";
import "./path-resolve-CawDq90f.js";
import "./constants-B9f8NTgF.js";
import fs from "node:fs";
//#region src/agents/auth-profiles/paths.ts
function ensureAuthStoreFile(pathname) {
	if (fs.existsSync(pathname)) return;
	saveJsonFile(pathname, {
		version: 1,
		profiles: {}
	});
}
//#endregion
export { ensureAuthStoreFile as t };
